Foreman - Feature #359

Add support for 'hosthame=<hostname>' spoofing for Unattended Installs
07/27/2010 03:38 PM - Jon Fautley

Status: Closed

Priority: Normal

Assignee: Daniel Lobato Garcia

Category: Unattended installations

Target version: 1.4.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

This patch extends the support for 'spoofing' unattended installs to allow passing the hostname instead of the IP address.

Usage: http:/foreman.server:3000/unattended/kickstart?hostname==&lt;hostname>

Patch generated against latest git develop branch (might clash with #3387?)

Related issues:
Related to Foreman - Feature #3182: Remove requirement for entering an IP add... Closed
Related to Foreman - Bug #4268: Spoof by hostname still searches by an empty ... Closed

10/02/2013
02/05/2014

Associated revisions

Revision 5b70f0e0 - 01/21/2014 12:02 PM - Daniel Lobato Garcia

fixes #359 - hostname spoofing for unattended installation templates

Revision 4f566c0a - 01/23/2014 11:31 AM - Daniel Lobato Garcia

fixes #359 - hostname spoofing for unattended installation templates

(cherry picked from commit 5b70f0e0232bff3e580923f485bc0bd1816d9279)

History

#1 - 07/29/2010 12:52 PM - Ohad Levy

maybe I'm missing something, but where is the handling of the lookup of the host based on its name?

#2 - 07/29/2010 12:53 PM - Ohad Levy
- Status changed from New to Feedback

- Assignee changed from Ohad Levy to Jon Fautley

#3 - 07/29/2010 01:04 PM - Jon Fautley
- File 0001-Support-hostname-spoofing-parameter-for-unattende.patch added

- Assignee changed from Jon Fautley to Ohad Levy

Ha, whoops. | attached the wrong patch, sorry!

#4 - 11/09/2010 09:21 AM - Ohad Levy

would you mind redoing your patch based on the latest version?

thanks!

#5 - 11/09/2010 09:21 AM - Ohad Levy
- Assignee changed from Ohad Levy to Jon Fautley
http://foreman.server:3000/unattended/kickstart?hostname=&lt;hostname
https://projects.theforeman.org/issues/338

#6 - 12/06/2012 10:43 AM - Benjamin Papillon
- Status changed from Feedback to New

- Assignee deleted (Jon Fautley)

#7 - 11/01/2013 10:01 AM - Dominic Cleal

- Related to Feature #3182: Remove requirement for entering an IP address when creating a new host added

#8 - 11/12/2013 01:10 PM - Anonymous

- Target version set to 1.10.0

#9 - 12/04/2013 01:17 PM - Anonymous
- Description updated

- Target version deleted (1.10.0)

#10 - 12/04/2013 01:24 PM - Greg Sutcliffe

- translation missing: en.field_release set to 2

#11 - 01/09/2014 02:29 PM - Anonymous

- Target version setto 1.9.2

#12 - 01/16/2014 12:53 PM - Daniel Lobato Garcia

- Assignee set to Daniel Lobato Garcia

I'm nearly done with this, PR will come soon.

#13 - 01/16/2014 03:38 PM - Daniel Lobato Garcia
- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1161

#14 - 01/21/2014 12:31 PM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5b70f0e0232bff3e580923f485bc0bd1816d9279.

#15 - 02/05/2014 05:40 PM - Dominic Cleal
- Related to Bug #4268: Spoof by hostname still searches by an empty IP and returns the wrong host added

Files
0001-Don-t-use-MAC-address-as-matching-parameter-when-usi.patch1.08 KB 07/27/2010 Jon Fautley
0001-Support-hostname-spoofing-parameter-for-unattende.patch 1.58 KB 07/29/2010 Jon Fautley
